/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kommunikation.transmitter;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import static kommunikation.transmitter.Kommunikationspartner.lg;

/**
 *
 * @author Alexander_Christoph
 */
public class Server extends Kommunikationspartner
{
  
  public Server()
  {
    lg.info("Server erstellt");
  }
  
  @Override
  public void verbinde() 
  {
    try
    {
      ServerSocket sSocket = new ServerSocket(port);
      lg.info("Server: Warte auf Verbindung ...");
      Socket s = sSocket.accept(); 
      lg.info("Server: Verbindung akzeptiert");
      
      out = new ObjectOutputStream(s.getOutputStream());
      in = new ObjectInputStream(s.getInputStream());
     
    }
    catch (IOException ex)
    {
      lg.severe(ex.toString());
    }
  }
}
