/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package garten.view;

import java.awt.Color;
import java.awt.Container;
import java.awt.MouseInfo;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.JRadioButton;
import javax.swing.OverlayLayout;

/**
 *
 * @author Jan
 */
public class Fenster extends JFrame
{
  final public JPopupMenu popup;
  public JMenu mnbepflanzen1;
  public JMenu mnbepflanzen2;
  public JMenu mnbepflanzen3;
  public JMenuItem mnGartenanlegen;
  public JMenuItem mnRandomPflanzenanlegen;

  public JButton btnbepfl1;
  public JButton btnbepfl2;
  public JButton btnbepfl3;

  private JRadioButton radiobtn1pfl1;
  private JRadioButton radiobtn2pfl1;
  private JRadioButton radiobtn3pfl1;

  private JRadioButton radiobtn1pfl2;
  private JRadioButton radiobtn2pfl2;
  private JRadioButton radiobtn3pfl2;

  private JRadioButton radiobtn1pfl3;
  private JRadioButton radiobtn2pfl3;
  private JRadioButton radiobtn3pfl3;
  private JRadioButton radiobtn4pfl3;

  private FlaecheBeet flbeet;
  private FlaecheWeg flweg;
  private FlaechePflanzen flpfl;

  Color hintergrund;

  public Fenster(FlaecheBeet flbeet, FlaecheWeg flweg, FlaechePflanzen flpfl)
  {
    hintergrund = new Color(34, 139, 34);

    this.flbeet = flbeet;
    this.flweg = flweg;
    this.flpfl = flpfl;
    flbeet.setOpaque(false);
    flweg.setOpaque(false);
    flpfl.setOpaque(false);
    Container c = this.getContentPane();
    c.setLayout(new OverlayLayout(c));
    c.add(flpfl);
    c.add(flbeet);
    c.add(flweg);

    c.setBackground(hintergrund);

    popup = new JPopupMenu();

    mnGartenanlegen = new JMenuItem("Garten anlegen");
    mnRandomPflanzenanlegen = new JMenuItem("Random Bepflanzung");

    popup.add(mnGartenanlegen);
    popup.addSeparator();
    popup.add(mnRandomPflanzenanlegen);
    popup.addSeparator();

    //PopUpmenü Pflanze 1
    mnbepflanzen1 = new JMenu("Bepflanze mit Pflanze1");
    btnbepfl1 = new JButton("Bepflanzen");
    radiobtn1pfl1 = new JRadioButton("1 Jahr alt");
    radiobtn2pfl1 = new JRadioButton("2 Jahre alt");
    radiobtn3pfl1 = new JRadioButton("3 Jahre alt");
    //Btn Gruppe Pflanz1
    ButtonGroup radiobtngrp1 = new ButtonGroup();
    radiobtngrp1.add(radiobtn1pfl1);
    radiobtngrp1.add(radiobtn2pfl1);
    radiobtngrp1.add(radiobtn3pfl1);
    //Alle Elemente zu PopUpmenü Pflanze 1 hinzufügen
    mnbepflanzen1.add(radiobtn1pfl1);
    mnbepflanzen1.add(radiobtn2pfl1);
    mnbepflanzen1.add(radiobtn3pfl1);
    mnbepflanzen1.add(btnbepfl1);

    //PopUpmenü Pflanze 2
    mnbepflanzen2 = new JMenu("Bepflanze mit Pflanze2");
    btnbepfl2 = new JButton("Bepflanzen");
    radiobtn1pfl2 = new JRadioButton("1 Jahr alt");
    radiobtn2pfl2 = new JRadioButton("2 Jahre alt");
    radiobtn3pfl2 = new JRadioButton("3 Jahre alt");
    //Btn Gruppe Pflanz2
    radiobtngrp1.add(radiobtn1pfl2);
    radiobtngrp1.add(radiobtn2pfl2);
    radiobtngrp1.add(radiobtn3pfl2);
    //Alle Elemente zu PopUpmenü Pflanze 2 hinzufügen
    mnbepflanzen2.add(radiobtn1pfl2);
    mnbepflanzen2.add(radiobtn2pfl2);
    mnbepflanzen2.add(radiobtn3pfl2);
    mnbepflanzen2.add(btnbepfl2);

    //PopUpmenü Pflanze 3
    mnbepflanzen3 = new JMenu("Bepflanze mit Pflanze3");
    btnbepfl3 = new JButton("Bepflanzen");

    radiobtn1pfl3 = new JRadioButton("1 Jahr alt");
    radiobtn2pfl3 = new JRadioButton("2 Jahre alt");
    radiobtn3pfl3 = new JRadioButton("3 Jahre alt");
    radiobtn4pfl3 = new JRadioButton("4 Jahre alt");
    //Btn Gruppe Pflanz3
    radiobtngrp1.add(radiobtn1pfl3);
    radiobtngrp1.add(radiobtn2pfl3);
    radiobtngrp1.add(radiobtn3pfl3);
    radiobtngrp1.add(radiobtn4pfl3);
    //Alle Elemente zu PopUpmenü Pflanze 3 hinzufügen
    mnbepflanzen3.add(radiobtn1pfl3);
    mnbepflanzen3.add(radiobtn2pfl3);
    mnbepflanzen3.add(radiobtn3pfl3);
    mnbepflanzen3.add(radiobtn4pfl3);
    mnbepflanzen3.add(btnbepfl3);

    //Alle PopUpmenüs dem PoPup hinzufügen
    popup.add(mnbepflanzen1);
    popup.addSeparator();
    popup.add(mnbepflanzen2);
    popup.addSeparator();
    popup.add(mnbepflanzen3);

    this.setTitle("Garten von Paul und Jan");
    this.pack();
    this.setDefaultCloseOperation(EXIT_ON_CLOSE);
    this.setSize(900, 900);
    this.setVisible(true);

    this.addMouseListener(new MouseAdapter()
    {
      public void mouseClicked(MouseEvent e)
      {
        popup.show(flbeet, e.getX(), e.getY());
      }
    });
    
    
    //this.add(popup);
     
           
  }

  public void showPoPup(MouseEvent e)
  {
    popup.setLocation(MouseInfo.getPointerInfo().getLocation().x, MouseInfo.getPointerInfo().getLocation().y);
    popup.setVisible(true);
  }

  public void hidePopup()
  {
    popup.setVisible(false);
  }

  public JPopupMenu getPopup()
  {
    return popup;
  }

  /**
   * @return the radiobtn1pfl1
   */
  public JRadioButton getRadiobtn1pfl1()
  {
    return radiobtn1pfl1;
  }

  /**
   * @return the radiobtn2pfl1
   */
  public JRadioButton getRadiobtn2pfl1()
  {
    return radiobtn2pfl1;
  }

  /**
   * @return the radiobtn3pfl1
   */
  public JRadioButton getRadiobtn3pfl1()
  {
    return radiobtn3pfl1;
  }

  /**
   * @return the radiobtn1pfl2
   */
  public JRadioButton getRadiobtn1pfl2()
  {
    return radiobtn1pfl2;
  }

  /**
   * @return the radiobtn2pfl2
   */
  public JRadioButton getRadiobtn2pfl2()
  {
    return radiobtn2pfl2;
  }

  /**
   * @return the radiobtn3pfl2
   */
  public JRadioButton getRadiobtn3pfl2()
  {
    return radiobtn3pfl2;
  }

  /**
   * @return the radiobtn1pfl3
   */
  public JRadioButton getRadiobtn1pfl3()
  {
    return radiobtn1pfl3;
  }

  /**
   * @return the radiobtn2pfl3
   */
  public JRadioButton getRadiobtn2pfl3()
  {
    return radiobtn2pfl3;
  }

  /**
   * @return the radiobtn3pfl3
   */
  public JRadioButton getRadiobtn3pfl3()
  {
    return radiobtn3pfl3;
  }

  /**
   * @return the radiobtn4pfl3
   */
  public JRadioButton getRadiobtn4pfl3()
  {
    return radiobtn4pfl3;
  }

  /**
   * @return the mnbepflanzen1
   */
  public JMenu getMnbepflanzen1()
  {
    return mnbepflanzen1;
  }

  /**
   * @return the mnbepflanzen2
   */
  public JMenu getMnbepflanzen2()
  {
    return mnbepflanzen2;
  }

  /**
   * @return the mnbepflanzen3
   */
  public JMenu getMnbepflanzen3()
  {
    return mnbepflanzen3;
  }

  /**
   * @return the mnGartenanlegen
   */
  public JMenuItem getMnGartenanlegen()
  {
    return mnGartenanlegen;
  }

  /**
   * @return the mnRandomPflanzenanlegen
   */
  public JMenuItem getMnRandomPflanzenanlegen()
  {
    return mnRandomPflanzenanlegen;
  }

  /**
   * @return the btnbepfl1
   */
  public JButton getBtnbepfl1()
  {
    return btnbepfl1;
  }

  /**
   * @param btnbepfl1 the btnbepfl1 to set
   */
  public void setBtnbepfl1(JButton btnbepfl1)
  {
    this.btnbepfl1 = btnbepfl1;
  }

  /**
   * @return the btnbepfl2
   */
  public JButton getBtnbepfl2()
  {
    return btnbepfl2;
  }

  /**
   * @return the btnbepfl3
   */
  public JButton getBtnbepfl3()
  {
    return btnbepfl3;
  }

  /**
   * @return the flbeet
   */
  public FlaecheBeet getFlbeet()
  {
    return flbeet;
  }

  /**
   * @param flbeet the flbeet to set
   */
  public void setFlbeet(FlaecheBeet flbeet)
  {
    this.flbeet = flbeet;
  }

  /**
   * @return the flweg
   */
  public FlaecheWeg getFlweg()
  {
    return flweg;
  }

  /**
   * @return the flpfl
   */
  public FlaechePflanzen getFlpfl()
  {
    return flpfl;
  }

}
