/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package garten.view;

import garten.model.Pflanze;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.geom.Line2D;
import java.util.ArrayList;
import javax.swing.JPanel;

/**
 *
 * @author Jan
 */
public class FlaechePflanzen extends JPanel
{
  ArrayList<Pflanze> pflanzen = new ArrayList<>();
  Color colorPflanzen;
  private Line2D.Float Gerade;
  private BasicStroke pinsel;
  public FlaechePflanzen()
  {
    colorPflanzen = new Color(50, 205, 50);
    pflanzen = new ArrayList<>();
    Gerade = new Line2D.Float();
    pinsel = new BasicStroke(1f);
    
  }

  public void paintComponent(Graphics g)
  {
    
    super.paintComponent(g);
    Graphics2D g2 = (Graphics2D) g;

    g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                        RenderingHints.VALUE_ANTIALIAS_ON);
    g.setColor(colorPflanzen);
    for(Pflanze p : pflanzen)
    {
      ArrayList<float[]> pts = p.getPoints();
      for(float[] pt : pts)
      {
        Gerade.setLine(pt[0], pt[1], pt[2], pt[3]);
        g2.draw(Gerade);
      }
    }
  }
  public void setPflanzen(ArrayList<Pflanze> temppflanzen) //set = automatisch zeichnen
  {
    pflanzen.addAll(0, temppflanzen);
    repaint();
  }
  public void löschePflanzen()
  {
    pflanzen.removeAll(pflanzen);
    repaint();
  }
}
